/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Fevrier 2005                   */

public class RobotEnConsole {

  /* Lecture au clavier des largeurs du parcours          */
  /* coteCarre : entier                                   */
  /* largeurDamier : entier                               */

  public static void parcourt(int coteCarre,int largeurDamier) {
    int x,y;        // Position instantanee du robot
    int i;          // Indice de boucle for
  /* Lecture au clavier des positions initiales en x et y */
    Console.out.print("Position x initiale : ");
    x = Integer.valueOf(Console.in.readLine()).intValue();
    Console.out.print("Position y initiale : ");
    y = Integer.valueOf(Console.in.readLine()).intValue();
  /* Si les donnees du probleme sont correctes            */
    if ( ( x >= 1 ) && ( x <= largeurDamier ) &&
         ( y >= 1 ) && ( y <= largeurDamier ) &&
         ( x+coteCarre <= largeurDamier ) &&
         ( y-coteCarre >= 1 ) ) {
  /* Boucle de deplacement vers la droite                 */
      for ( i = 1 ; i <= coteCarre ; i++ ) {
        x = x+1;
        Console.out.println(x+","+y); }
  /* Boucle de deplacement vers le bas                    */
      for ( i = 1 ; i <= coteCarre ; i++ ) {
        y = y-1;
        Console.out.println(x+","+y); }
  /* Boucle de deplacement vers la gauche                 */
      for ( i = 1 ; i <= coteCarre ; i++ ) {
        x = x-1;
        Console.out.println(x+","+y); }
  /* Boucle de deplacement vers le bas                    */
      for ( i = 1 ; i <= coteCarre ; i++ ) {
        y = y+1;
        Console.out.println(x+","+y); } }
    else {
  /* Affichage en cas de probleme avec les donnees        */
    Console.out.println("Erreur dans les donnees du probleme"); }
  }

  /* Fonction principale                                  */

  public static void main(String [] args) {
    Console.setTitle("Robot");
  /* Lecture au clavier des largeurs du parcours          */
  /* et du damier                                         */
    Console.out.print("Cote du parcourt    : ");
    int c = Integer.valueOf(Console.in.readLine()).intValue();
    Console.out.print("Largeur du damier   : ");
    int l = Integer.valueOf(Console.in.readLine()).intValue();
  /* Lancement du parcours                                */
    parcourt(c,l);
  }
}